Bug 1459836 - build failed with cakephp.json template in OpenShift
build failed with cakephp.json template in OpenShift
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build (Show other bugs)
3.4.1
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ben Parees
Wenjing Zheng
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-08 06:18 EDT by wewang
Modified: 2017-06-16 10:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-16 10:10:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wewang 2017-06-08 06:18:54 EDT
Steps to Reproduce:
1.Create a project
2.Create app with cakephp.json
  $oc new-app -f https://raw.githubusercontent.com/openshift/cakephp-ex/master/openshift/templates/cakephp.json 
3.Check the build status
 [root@host-8-174-244 ~]# oc logs build/cakephp-example-1
Cloning "https://github.com/openshift/cakephp-ex.git" ...
    Commit:    6f2ebfbeaaaae3b1771aaa36d5beec5b2898c82d (Merge pull request #61 from bparees/sc_metadata)
    Author:    Ben Parees <bparees@users.noreply.github.com>
    Date:    Wed Feb 15 16:28:08 2017 -0500

---> Installing application source...
Found 'composer.json', installing dependencies using composer.phar...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  298k  100  298k    0     0   338k      0 --:--:-- --:--:-- --:--:--  338k
All settings correct for using Composer
Downloading...

Composer (version 1.4.2) successfully installed to: /opt/app-root/src/composer.phar
Use it: php composer.phar

Loading composer repositories with package information
Installing dependencies (including require-dev) from lock file
Package operations: 10 installs, 0 updates, 0 removals
  - Installing squizlabs/php_codesniffer (1.5.6): Downloading (100%)
  - Installing cakephp/cakephp-codesniffer (1.0.2): Downloading (100%)
  - Installing phpunit/php-token-stream (1.2.2): Downloading (100%)
  - Installing symfony/yaml (v2.8.16): Downloading (100%)
  - Installing phpunit/php-text-template (1.2.1): Downloading (100%)
  - Installing phpunit/phpunit-mock-objects (1.2.3): Downloading (100%)
  - Installing phpunit/php-timer (1.0.8): Downloading (100%)
  - Installing phpunit/php-file-iterator (1.4.2): Downloading (100%)
  - Installing phpunit/php-code-coverage (1.2.18): Downloading (100%)
  - Installing phpunit/phpunit (3.7.38): Downloading (100%)
phpunit/php-code-coverage suggests installing ext-xdebug (>=2.0.5)
phpunit/phpunit suggests installing phpunit/php-invoker (~1.1)
Generating optimized autoload files

Running post commit hook ...
sh: cannot set terminal process group (-1): Inappropriate ioctl for device
sh: no job control in this shell

Welcome to CakePHP v2.9.3 Console
---------------------------------------------------------------
App : app
Path: /opt/app-root/src/app/
---------------------------------------------------------------
CakePHP Test Shell
---------------------------------------------------------------
PHPUnit 3.7.38 by Sebastian Bergmann.

Actual results:
build failed 

Expected results:

build should be successful
Comment 1 wewang 2017-06-08 06:19:53 EDT
template cakephp-mysql.json and cakephp-mysql-persistent.json have the same problems
Comment 2 wewang 2017-06-08 06:29:54 EDT
it works in online
Comment 3 Ben Parees 2017-06-13 08:29:02 EDT
Can you provide the php image sha and your oc client/server version details?
Comment 4 wewang 2017-06-14 02:23:51 EDT
server and client version
openshift v3.4.1.33
kubernetes v1.4.0+776c994
etcd 3.1.0-rc.0
oc v3.4.1.33

php 7.0 image sha:
sha256:6df6eb184f30eaf6b1149aedf7fe972fed24e89fdad796d60e86aa22eeaefba1
Comment 5 Ben Parees 2017-06-14 16:26:36 EDT
full image spec please?
Comment 6 Ben Parees 2017-06-14 17:05:55 EDT
Ok I think I recreated this.  There was a bug in 3.4.1 in which very short running postcommit hooks could result in a hung container condition.  It's been fixed in later versions and we don't currently have any plans to backport the fix to 3.4.1, the workaround is to ensure your postcommit hook is not sub-second in execution time.
Comment 7 wewang 2017-06-15 23:37:03 EDT
verify later version ,it works 
openshift v3.5.5.26
kubernetes v1.5.2+43a9be4
etcd 3.1.0
# oc get builds
NAME                TYPE      FROM          STATUS     STARTED                  DURATION
cakephp-example-1   Source    Git@09262e2   Complete   Less than a second ago   39s

Note You need to log in before you can comment on or make changes to this bug.